package com.bsoft.admin.service;

import com.bsoft.admin.model.SysMenu;
import com.bsoft.admin.model.reqmodel.MenuReq;
import com.bsoft.admin.model.respmodel.SysMenuList;

import java.util.List;

public interface SysMenuService {

    //顶级菜单的父级id
    final static Integer MENU_TOP_PARENT_ID  =0;
    List<SysMenuList> getMenu(Long userId) throws Exception;

    List<SysMenu> getAll(MenuReq.GetMenuReq menu);
    SysMenu info(MenuReq.InfoMenuReq menu);
    boolean addMenu(Long userId,MenuReq.AddMenuReq menu);
    boolean deleteMenu(MenuReq.DeleteMenuReq menu);
    boolean updateMenu(MenuReq.UpdateMenuReq menu);
}
